-- ==========================================================================
-- Licensed Materials - Property of IBM
-- "Restricted Materials of IBM"
--
-- 5724-C01
-- 5698-WAZ
--
-- (C) COPYRIGHT IBM CORP. 2002, 2003. ALL RIGHTS RESERVED.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-- ==========================================================================
--
-- File Information: wsappsvr/src/tedw_apps_etl/fixpack_v1102/izy/cdw/dml/izy_cdw_del_data.sql, waspac, waspac_512
-- 
-- Revision: 1.3
-- 
-- Date: 7/16/03 16:42:37
-- 
-- Description: This is the IBM Tivoli Monitoring for WebSphere Application 
--              Server file for deleting static data from central data 
--              warehouse (twh_cdw) tables, including Extract Control values.
-- ==========================================================================
--  Change Activity:
--  $D0 107811 01/09/03  lmd  Add WAS z/OSsupport - delete new proxy info
--                            in relnrul_transl
--  $D1 IY51267 02/03/04 lmd  fixpack_3 v1103 - delete comptyp_transl_common 
--  ==========================================================================
--
--------------------------------------------
-- Delete static data from CDW on uninstall
--------------------------------------------

-- It's ok if some of these deletes fail. There could be FK dependencies.

-- $D0 Added following line to remove (proxy) relationships
delete from AMX.RelnRul_Transl where CompTyp_Source_Cd LIKE 'IZY%';

delete from AMX.Resource_Transl where CompTyp_cd LIKE 'IZY%';

delete from AMX.Comptyp_Transl where MSrc_Cd = 'IZY';

delete from AMX.Attrtyp_Transl where MSrc_Cd = 'IZY';

delete from AMX.Category_Transl where MSrc_Cd = 'IZY';

-- @D1A delete new common data model table
delete from AMX.Comptyp_Transl_Common where MSrc_Cd = 'IZY';

-- Clean the TWG PRUNE_MSMT_CONTROL 
delete from twg.Prune_Msmt_control where MSrc_Cd = 'IZY';


-- Clean the TWG EXTRACT_CONTROL
delete from 
  twg.extract_control ec
where 
   ec.extctl_target LIKE 'IZY%' 
;

-- Clean the TWG EXTRACT_LOG
delete from 
  twg.extract_log el
where 
   el.extlog_target LIKE 'IZY%'        
;

