-- ==========================================================================
-- Licensed Materials - Property of IBM
-- "Restricted Materials of IBM"
--
-- 5724-C01
-- 5698-WAZ
--
-- (C) COPYRIGHT IBM CORP. 2003. ALL RIGHTS RESERVED.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-- ==========================================================================
--
-- File Information: wsappsvr/src/tedw_apps_etl/fixpack_v1102/izy/mart/ddl/izy_mart_drop_schema.sql, waspac, waspac_512
-- 
-- Revision: 1.4
-- 
-- Date: 7/11/03 13:30:21
-- 
-- Description: This is the IBM Tivoli Monitoring for WebSphere file for dropping 
--              tables it creates in the TEDW TWH_Mart DB.
-- 
-- ==========================================================================
--  Change Activity:
--  $D0 115192 06/04/03  lmd  new file: Add support for WAS 5.0 (Delta only)
-- ===========================================================================
--                                             
--#iftag fixpack_2        

-- @D0 Start: mart tables for WebSphere 5.0.x 
drop table IZY.D_WAS_CELL;
drop table IZY.D_WAS_NODE;
DROP table IZY.D_WAS_CFGMGR;

-- @D0 End: mart tables for WebSphere 5.0.x 

-- Drop corresponding staging dimension tables
drop table IZY.STAGE_D_APPLSRV;

-- @D0 Start: Add staging mart tables for WebSphere 5.0.x 
DROP table IZY.STAGE_D_CELL;
drop table IZY.STAGE_D_NODE;
drop table IZY.STAGE_D_CFGMGR;
-- @D0 End: Add staging mart tables for WebSphere 5.0.x 

--------------------------------------------------------------------
--
--      fact tables
---
-------------------------------------------------------------------
                              
--------------
-- hour level
--------------

-- @D0 Start: Drop fact hour tables and indexes for WebSphere 5.0.x   

drop index IZY.F_CgMgr_HOUR_idx1;
drop index IZY.F_CgMgr_HOUR_idx2;
drop index IZY.F_CgMgr_HOUR_idx3;
drop index IZY.F_CgMgr_HOUR_idx4;
drop index IZY.F_CgMgr_HOUR_idx5;
drop index IZY.F_CgMgr_HOUR_idx6;
 
drop table IZY.F_CfgMgr_HOUR;


drop index IZY.F_APSV5_HOUR_idx1;
drop index IZY.F_APSV5_HOUR_idx2;
drop index IZY.F_APSV5_HOUR_idx3;
drop index IZY.F_APSV5_HOUR_idx4;
drop index IZY.F_APSV5_HOUR_idx5;
drop index IZY.F_APSV5_HOUR_idx6;

drop table IZY.F_APPLSRV5_HOUR;

drop index IZY.F_APCP5_HOUR_idx1;
drop index IZY.F_APCP5_HOUR_idx2;
drop index IZY.F_APCP5_HOUR_idx3;
drop index IZY.F_APCP5_HOUR_idx4;
drop index IZY.F_APCP5_HOUR_idx5;
drop index IZY.F_APCP5_HOUR_idx6;
drop index IZY.F_APCP5_HOUR_idx7;

drop table IZY.F_APPLCMP5_HOUR;


drop index IZY.F_SBCP5_HOUR_idx1;
drop index IZY.F_SBCP5_HOUR_idx2;
drop index IZY.F_SBCP5_HOUR_idx3;
drop index IZY.F_SBCP5_HOUR_idx4;
drop index IZY.F_SBCP5_HOUR_idx5;
drop index IZY.F_SBCP5_HOUR_idx6;
drop index IZY.F_SBCP5_HOUR_idx7;
drop index IZY.F_SBCP5_HOUR_idx8;

drop table IZY.F_SUBCMP5_HOUR;


-- Measurement hourly staging tables

-- @D0 Start: drop staging hourly fact tables for WebSphere 5.0.x 
 
drop table IZY.STAGE_F_CgMgr_HOUR;
drop table IZY.STAGE_F_APPL5_HOUR;
drop table IZY.STAGE_F_APCP5_HOUR;
drop table IZY.STAGE_F_SBCP5_HOUR;
-- @D0 End: drop staging hourly fact tables for WebSphere 5.0.x 

--------------
-- day level
--------------
-- measurement day fact table for all metrics against AdminServer


-- @D0 Start: Drop fact day tables/indexes for WebSphere 5.0.x 

drop index IZY.F_CgMgr_DAY_idx1 ;
drop index IZY.F_CgMgr_DAY_idx3 ;
drop index IZY.F_CgMgr_DAY_idx2 ;
drop index IZY.F_CgMgr_DAY_idx4 ;
drop index IZY.F_CgMgr_DAY_idx5 ;
drop index IZY.F_CgMgr_DAY_idx6 ;
drop table IZY.F_CfgMgr_DAY;


drop index IZY.F_APSV5_DAY_idx1 ;
drop index IZY.F_APSV5_DAY_idx2 ;
drop index IZY.F_APSV5_DAY_idx3 ;
drop index IZY.F_APSV5_DAY_idx4 ;
drop index IZY.F_APSV5_DAY_idx5 ;
drop index IZY.F_APSV5_DAY_idx6 ;
drop table IZY.F_APPLSRV5_DAY;



drop index IZY.F_APCP5_DAY_idx1 ;
drop index IZY.F_APCP5_DAY_idx2 ;
drop index IZY.F_APCP5_DAY_idx3 ;
drop index IZY.F_APCP5_DAY_idx4 ;
drop index IZY.F_APCP5_DAY_idx5 ;
drop index IZY.F_APCP5_DAY_idx6 ;
drop index IZY.F_APCP5_DAY_idx7 ;
drop table IZY.F_APPLCMP5_DAY;


drop index IZY.F_SBCP5_DAY_idx1 ;
drop index IZY.F_SBCP5_DAY_idx2 ;
drop index IZY.F_SBCP5_DAY_idx3 ;
drop index IZY.F_SBCP5_DAY_idx4 ;
drop index IZY.F_SBCP5_DAY_idx5 ;
drop index IZY.F_SBCP5_DAY_idx6 ;
drop index IZY.F_SBCP5_DAY_idx7 ;
drop index IZY.F_SBCP5_DAY_idx8 ;
drop table IZY.F_SUBCMP5_DAY;
-- @D0 End: Drop fact day tables for WebSphere 5.0.x 

--------------------
--- Fact WEEK level
--------------------
                                  
-- drop weekly fact tables


-- @D0 Start: Drop fact week tables for WebSphere 5.0.x 
 
drop index IZY.F_CgMgr_WEEK_idx1 ;
drop index IZY.F_CgMgr_WEEK_idx3 ;
drop index IZY.F_CgMgr_WEEK_idx2 ;
drop index IZY.F_CgMgr_WEEK_idx4 ;
drop index IZY.F_CgMgr_WEEK_idx5 ;
drop index IZY.F_CgMgr_WEEK_idx6 ;
drop table IZY.F_CfgMgr_WEEK;


drop index IZY.F_APSV5_WEEK_idx1 ;
drop index IZY.F_APSV5_WEEK_idx2 ;
drop index IZY.F_APSV5_WEEK_idx3 ;
drop index IZY.F_APSV5_WEEK_idx4 ;
drop index IZY.F_APSV5_WEEK_idx5 ;
drop index IZY.F_APSV5_WEEK_idx6 ;
drop table IZY.F_APPLSRV5_WEEK;


drop index IZY.F_APCP5_WEEK_idx1 ;
drop index IZY.F_APCP5_WEEK_idx2 ;
drop index IZY.F_APCP5_WEEK_idx3 ;
drop index IZY.F_APCP5_WEEK_idx4 ;
drop index IZY.F_APCP5_WEEK_idx5 ;
drop index IZY.F_APCP5_WEEK_idx6 ;
drop index IZY.F_APCP5_WEEK_idx7 ;
drop table IZY.F_APPLCMP5_WEEK;


drop index IZY.F_SBCP5_WEEK_idx1 ;
drop index IZY.F_SBCP5_WEEK_idx2 ;
drop index IZY.F_SBCP5_WEEK_idx3 ;
drop index IZY.F_SBCP5_WEEK_idx4 ;
drop index IZY.F_SBCP5_WEEK_idx5 ;
drop index IZY.F_SBCP5_WEEK_idx6 ;
drop index IZY.F_SBCP5_WEEK_idx7 ;
drop index IZY.F_SBCP5_WEEK_idx8 ;
drop table IZY.F_SUBCMP5_WEEK;
-- @D0 End: drop fact Week tables for WebSphere 5.0.x 

--------------------
-- FACT MONTH table
--------------------

-- drop  monthly fact tables


-- @D0 Start: Drop monthly fact tables for WebSphere 5.0.x 

drop index IZY.F_CgMgr_MONTH_idx1 ;
drop index IZY.F_CgMgr_MONTH_idx3 ;
drop index IZY.F_CgMgr_MONTH_idx2 ;
drop index IZY.F_CgMgr_MONTH_idx4 ;
drop index IZY.F_CgMgr_MONTH_idx5 ;
drop index IZY.F_CgMgr_MONTH_idx6 ;
drop table IZY.F_CfgMgr_MONTH;


drop index IZY.F_APSV5_MONTH_idx1 ;
drop index IZY.F_APSV5_MONTH_idx2 ;
drop index IZY.F_APSV5_MONTH_idx3 ;
drop index IZY.F_APSV5_MONTH_idx4 ;
drop index IZY.F_APSV5_MONTH_idx5 ;
drop index IZY.F_APSV5_MONTH_idx6 ;
drop table IZY.F_APPLSRV5_MONTH;


drop index IZY.F_APCP5_MONTH_idx1 ;
drop index IZY.F_APCP5_MONTH_idx2 ;
drop index IZY.F_APCP5_MONTH_idx3 ;
drop index IZY.F_APCP5_MONTH_idx4 ;
drop index IZY.F_APCP5_MONTH_idx5 ;
drop index IZY.F_APCP5_MONTH_idx6 ;
drop index IZY.F_APCP5_MONTH_idx7 ;
drop table IZY.F_APPLCMP5_MONTH;


drop index IZY.F_SBCP5_MONTH_idx2 ;
drop index IZY.F_SBCP5_MONTH_idx3 ;
drop index IZY.F_SBCP5_MONTH_idx4 ;
drop index IZY.F_SBCP5_MONTH_idx5 ;
drop index IZY.F_SBCP5_MONTH_idx6 ;
drop index IZY.F_SBCP5_MONTH_idx7 ;
drop index IZY.F_SBCP5_MONTH_idx8 ;
drop table IZY.F_SUBCMP5_MONTH;
-- @D0 End: Drop monthly fact tables for WebSphere 5.0.x 

--#endtag fixpack_2
