-- ==========================================================================
-- Licensed Materials - Property of IBM
-- "Restricted Materials of IBM"
--
-- 5724-C01
-- 5698-WAZ
--
-- (C) COPYRIGHT IBM CORP. 2003. ALL RIGHTS RESERVED.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-- ==========================================================================
--
-- File Information: wsappsvr/src/tedw_apps_etl/fixpack_v1102/izy/misc/rpi_izy_data_delete.sql, waspac, waspac_512
-- 
-- Revision: 1.4
-- 
-- Date: 10/1/03 19:29:23
-- 
-- Description: This is the IBM Tivoli Monitoring for WebSphere file for creating
--              data mart tables in the TEDW TWH_Mart DB.
-- 
-- ==========================================================================
--  Change Activity:
-- $D0 119858 09/03/023  lmd  Delete all reports and metadata before reinstall 
-- ===========================================================================

delete from rpi.report where
   report_name LIKE 'IZY%'
;

delete from rpi.datamart
where
     datamart_name in ('IZY Monitoring for WebSphere Application Server') 
;

delete from rpi.relationship
  where source_id IN
  (
select s.iwhid
   from
     iwh.starschema s
   where
     ucase(s.name) like ucase('izy%')
   )
;

delete from rpi.relationship
  where target_id IN
  (
select s.iwhid
  from
    iwh.starschema s
  where
    ucase(s.name) like ucase('izy%')
)
;

delete from rpi.ssupdated
  where id IN
  (
select s.iwhid
   from
     iwh.starschema s,
     rpi.ssupdated r
   where
     s.iwhid=r.id and
     ucase(s.name) like ucase('izyy%')
     )
;

delete from rpi.relationship
  where rel_type like 'SchemaTo%'
    and source_id NOT IN
    (
select distinct iwhid
     from iwh.starschema
     )
;


delete from rpi.relationship
  where rel_type LIKE 'ReportToStar%'
    and source_id NOT IN
    (
select distinct iwhid
     from iwh.starschema
     )
;

delete from rpi.relationship
  where rel_type like '%ToDatamart'
    and target_id NOT IN
    (
    select distinct datamart_id
     from rpi.datamart
     )
;
