--#####################################################################
--
-- IBM Tivoli Monitoring for WebSphere Application Server 5.1.2 - FP1:
-- TSLA Migration Script
-- (C) Copyright IBM Corp. 2004.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
--#####################################################################

-- This script is for TSLA migration ONLY.  Do not run this script if
-- you are not a TSLA user.

-- For distributed platforms, appends a ':900' to the admin server name
UPDATE	twg.comp 
	set comp_nm=concat(comp_nm,':900'),
	    comp_corr_val=concat(comp_corr_val,':900')
WHERE	comp_id in (
	SELECT DISTINCT a.comp_id 
	FROM twg.comp a, TWG.compattr ca 
	WHERE a.compTyp_Cd='IZY_ADMIN_SERVER' 
	AND a.comp_id = ca.comp_id 
	AND ca.compattr_val!='zos' 
	AND ca.attrtyp_cd in ('IZY_OS_TYPE','OS_NAME'))
;

-- For Proxy platform, appends a ':0' to the admin server name
UPDATE	twg.comp 
	set comp_nm=concat(comp_nm,':0'),
	    comp_corr_val=concat(comp_corr_val,':0')
WHERE	comp_id in (
	SELECT DISTINCT a.comp_id 
	FROM twg.comp a, TWG.compattr ca 
	WHERE a.compTyp_Cd='IZY_ADMIN_SERVER' 
	AND a.comp_id = ca.comp_id 
	AND ca.compattr_val='zos' 
	AND ca.attrtyp_cd in ('IZY_OS_TYPE','OS_NAME'))
;

-- Insert the rows in the compattr table
INSERT into twg.compattr(compattr_id,comp_id,attrtyp_cd,compattr_strt_dttm,compattr_end_dttm,compattr_val)
SELECT
	0,
	c1.comp_id,
	'NAME',
	current timestamp - current timezone,
	'9999-01-01-00.00.00.000000',
	c1.comp_nm
FROM
	twg.comp c1
WHERE
	c1.comptyp_cd='IZY_ADMIN_SERVER'
GROUP BY
	c1.comp_id,c1.comp_nm	
;
